io.vertx.ext.sync

## Class SyncVerticle

- java.lang.Object
- - io.vertx.core.AbstractVerticle
  - - io.vertx.ext.sync.SyncVerticle

- All Implemented Interfaces:
    Verticle

      public abstract class SyncVerticle
      extends AbstractVerticle

  A `Verticle` which runs its `start` and `stop` methods using fibers. You should subclass this class instead of `AbstractVerticle` to create any verticles that use vertx-sync.
  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected co.paralleluniverse.fibers.FiberScheduler` | `instanceScheduler`

    - ### Fields inherited from class io.vertx.core.AbstractVerticle

      `context, vertx`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncVerticle()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `start()` Override this method in your verticle
    `void` | `start(Future<Void> startFuture)` Start the verticle.
    `void` | `stop()` Optionally override this method in your verticle if you have cleanup to do
    `void` | `stop(Future<Void> stopFuture)` Stop the verticle.

    - ### Methods inherited from class io.vertx.core.AbstractVerticle

      `config, deploymentID, getVertx, init, processArgs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instanceScheduler

          protected co.paralleluniverse.fibers.FiberScheduler instanceScheduler

  - ### Constructor Detail

    - #### SyncVerticle

          public SyncVerticle()

  - ### Method Detail

    - #### start

          public void start(Future<Void> startFuture)
                     throws Exception

      Description copied from class: `AbstractVerticle`
      Start the verticle.

      This is called by Vert.x when the verticle instance is deployed. Don't call it yourself.

      If your verticle does things in it's startup which take some time then you can override this method and call the startFuture some time later when start up is complete.

      Specified by:
        `start` in interface `Verticle`
      Overrides:
        `start` in class `AbstractVerticle`
      Parameters:
        `startFuture` - a future which should be called when verticle start-up is complete.
      Throws:
        `Exception`

    - #### stop

          public void stop(Future<Void> stopFuture)
                    throws Exception

      Description copied from class: `AbstractVerticle`
      Stop the verticle.

      This is called by Vert.x when the verticle instance is un-deployed. Don't call it yourself.

      If your verticle does things in it's shut-down which take some time then you can override this method and call the stopFuture some time later when clean-up is complete.

      Specified by:
        `stop` in interface `Verticle`
      Overrides:
        `stop` in class `AbstractVerticle`
      Parameters:
        `stopFuture` - a future which should be called when verticle clean-up is complete.
      Throws:
        `Exception`

    - #### start

          @Suspendable
          public void start()
                                  throws Exception

      Override this method in your verticle
      Overrides:
        `start` in class `AbstractVerticle`
      Throws:
        `Exception`

    - #### stop

          @Suspendable
          public void stop()
                                 throws Exception

      Optionally override this method in your verticle if you have cleanup to do
      Overrides:
        `stop` in class `AbstractVerticle`
      Throws:
        `Exception`

Copyright © 2017. All rights reserved.